/* === BASE LAYOUT === */

#center {
	width: 100%;
	min-height: 100vh;
	padding: 10px;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

#wrapper {
	width: 900px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 5px;
}

#CONTENT {
	width: 100%;
	border-radius: 10px;
	padding: 5px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	gap: 5px;
}

#TITLE-CONTAINER {
	width: 100%;
	height: 25px;
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	gap: 5px;
}

#TITLE-CONTAINER > .TITLE {
	width: 100%;
	border-radius: 5px 25px 5px 5px;
	padding: 10px;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	align-items: center;
	text-align: left;
	font-family: "Bruno Ace SC";
	font-size: 12px;
	text-decoration: underline 1px #6A1E55;
	text-decoration-style: dotted;
}


.WINDOW-BOOPER {
	background: linear-gradient(#1A1A1D, transparent) !important;
	background-repeat: no-repeat !important;
	background-size: 100% 0% !important;
	border-radius: 5px;
	padding: 5px;
	font-size: 10px;
	color: #A64D79 !important;
	text-decoration: none !important;
	transition: background-size 1s ease, text-shadow 0.25s ease-in, box-shadow 0.25s ease-in !important;
}

.WINDOW-BOOPER:hover {
	background-size: 100% 100% !important;
	box-shadow: 0px 0px 10px #6A1E55 !important;	
	text-shadow: 1px 1px 5px #6A1E55 !important;
	cursor: url('https://i.postimg.cc/ZK1Qdk6W/pointer-(filled).png'), pointer !important;
}

.WINDOW-BOOPER:active {
	background: linear-gradient(to bottom, rgb(13, 12, 12), #1A1A1D) !important;
	background-repeat: no-repeat !important;
	cursor: url('https://i.postimg.cc/ZK1Qdk6W/pointer-(filled).png'), pointer !important;
}

#MAIN-WINDOW {
	width: 100%;
	margin: auto;
	display: flex;
	flex-direction: column;
}

#YAP {
	width: 100%;
	border-radius: 0 0 5px 5px;
	padding: 5px;
	display: flex;
	flex-direction: column;
	gap: 5px;
}

#CLOCK-CONTAINER {
	width: 100%;
	border-radius: 5px;
	padding: 5px;
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	align-items: center;
	font-family: "Bruno Ace SC";
	font-size: 12px !important;
}

#MAIN-CONTAIN {
	width: 100%;
	height: 615px;
	border-radius: 5px;
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 5px;
}

#MAIN-CONTAIN > .LEFT-SIDEBAR-BOX {
	width: 20%;
	height: 100%;
	border-top: none;
	border-bottom: none;
	border-left: none;
	padding: 10px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 10px;
}

.LEFT-SIDEBAR-BOX > .LEFT-SIDEBAR-HEADER {
	width: 100%;
	border-radius: 5px 25px 5px 5px;
	padding: 5px;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	font-family: "Bruno Ace SC";
	font-size: 12px !important;
	text-decoration: underline 1px #6A1E55;
	text-decoration-style: dotted;
}

.LEFT-SIDEBAR-BOX > .LEFT-SIDEBAR {
	width: 100%;
	height: 100%;
	min-height: 0;
	min-width: 0;
	border-radius: 5px;
	padding: 10px;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	gap: 5px;
	overflow: auto;
}

#MAIN-CONTAIN > .MESSAGE-BOX {
	width: 80%;
	height: 100%;
	border-top: none;
	border-right: none;
	border-bottom: none;
	padding: 10px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 10px;
	overflow: auto;
	text-align: justify !important;
}

.MESSAGE-BOX > .MESSAGE {
	width: 100%;
	border-radius: 25px 25px 5px 25px;
	padding: 10px;
}

.MESSAGE-END {
	width: 100%;
	border-radius: 5px 5px 25px 25px;
	padding: 5px;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	text-decoration: underline 1px #6A1E55;
	text-decoration-style: dotted;
	font-family: "Bruno Ace SC" !important;
}

#FOOTER {
	width: 100%;
	border-radius: 5px 5px 25px 25px;
	padding: 5px;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	font-family: "Bruno Ace SC" !important;
	font-size: 12px !important;
	text-decoration: underline 1px #6A1E55;
	text-decoration-style: dotted;
}

/* === SCROLL === */

/* Width */
::-webkit-scrollbar {
	width: 5px;
	height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
	background: none; 
	border: none;
	border-radius: 15px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
	border-radius: 5px;
}